
#downloadNewWrap {padding-top:10px;position:relative;}
#downloadNew {position: absolute;top:-9999px}
#downloadNewWrap .progress {display:none;margin-top:7px;}
#downloadNewWrap .progress .progress-bar {font-size: 10px;line-height: 12px;}

.bigFileBootbox .modal-dialog {}
.bigFileBootbox .modal-dialog .tblWrap {height:500px;margin-right:-20px;overflow-y:auto}
.bigFileBootbox .modal-dialog table {/*table-layout: fixed;*/}
.bigFileBootbox .modal-dialog table td {word-wrap:break-word}

.bootgrid-table td {white-space: normal;overflow-wrap: break-word;word-wrap: break-word;-webkit-hyphens: auto;-ms-hyphens: auto;-moz-hyphens: auto;hyphens: auto;}

.select2-search {padding-top:0;}
.select2-search input {min-height:37px;font-size:13px;}

.btn-intable {margin:-4px 0}
.intbl-btn-pan {white-space:nowrap}
.intbl-btn-pan .btn .fa {font-size: 14px;}

#groupAgentsTable tbody tr {cursor:pointer}


#clientsList .intbl-btn-pan {white-space:normal}
#clientsList .intbl-btn-pan .btn-intable {margin:0;}
#clientsList .intbl-btn-pan .btn-intable:first-child {margin-top:-4px;}
#clientsList .intbl-btn-pan .btn-intable:last-child {margin-bottom:-4px;}

/* -- LETTER -- */
.mail-edit-highlight {text-align:center;line-height:72px;width:600px; height:80px;border:1px #ccc dotted;background:yellow;}
.mail-edit-highlight:before {content:"Drop here ...";}

#editableZone { background:#F7F8F9;border:1px #e5e9ec solid;padding:10px 0;position: relative;margin-bottom:15px}
#mailEditControlBlock {position: fixed;width: 50px;padding: 3px;font-size: 10px;margin-top: -15px;z-index:5}
#mailEditControlBlock .dropdown:hover #mPlusBlock .fa-plus {top:-1px;left:0px}
#mailEditControlBlock .dropdown:hover #mPlusBlock .fa-plus:before {content:"\f101"}
#insTmplBlocks {width: 180px;max-height:250px;overflow-y: auto;box-shadow: 3px 1px 5px rgba(0,0,0,.3)}
#insTmplBlocks li { border-bottom: 1px #ccc dashed;}
#insTmplBlocks a { font-weight: bold;}
#editableZone .dropdown:hover .dropdown-menu {display: block;left:100%;top:0;}
#editableZone .dropdown-menu img {display: block;}
#mSaveBlock .fa-circle { color:#00c7a7;}
#mailBodyEditWrap {width:600px;margin:auto;}

.dgmailWrap {position:relative;min-height:12px}
.dgmailWrap .handWrap {position:absolute; width: 26px;right:-26px;top:0;height:60px;background: #ebebeb;padding:2px 5px;cursor:move;display:none}
.dgmailWrap .handWrap .fa-trash {position:absolute;bottom:8px;left:2px;}
.dgmailWrap .dgmail {outline:#d3d3d3 1px dotted;}
.dgmailWrap:hover .dgmail {outline:#c00 1px dotted;}
.dgmailWrap:hover .handWrap {display:block}
.dgmailWrap.controlHidden .handWrap {display:none}

#mailBodyEditWrap {line-height:1.2em; color: #000;}
#mailBodyEditWrap a { color:blue; text-decoration:underline}
#mailBodyEditWrap hr { display: block; margin:0.5em 0; border-style: inset; border-width: 1px;}
#mailBodyEditWrap p {margin:1em 0}

.cke_show_borders table.cke_show_border, .cke_show_borders table.cke_show_border > tr > td, .cke_show_borders table.cke_show_border > tr > th, .cke_show_borders table.cke_show_border > tbody > tr > td, .cke_show_borders table.cke_show_border > tbody > tr > th, .cke_show_borders table.cke_show_border > thead > tr > td, .cke_show_borders table.cke_show_border > thead > tr > th, .cke_show_borders table.cke_show_border > tfoot > tr > td, .cke_show_borders table.cke_show_border > tfoot > tr > th { border:0 !important;outline:#d3d3d3 1px dotted;}

.has-feedback .form-control-feedback {line-height:37px;font-size:16px;right:8px}

/* -- TASKS -- */
.intbl-progress {width:150px;}
.intbl-progress .progress { height: 20px;border-radius:1px}
.intbl-progress .progress .progress-bar {border-radius:1px}



.scrollup {bottom:7px}


.bootbox-body pre {max-height: 600px;white-space: pre-wrap;}


/* -- LOADER -- */
.loader { display:none;width: 100%;height: 4px;position:fixed;overflow: hidden;z-index: 1000;}
.loader > div {position: absolute;height: 100%;left: 50%;}
.green {background: #27ae60;}
.red {background: #c0392b;}
.blue {background: #2980b9;}
.yellow {background: #f1c40f;}
.sd0 {
	-webkit-animation: stretch 2.8s ease 0s infinite;
	-moz-animation: stretch 2.8s ease 0s infinite;
	-ms-animation: stretch 2.8s ease 0s infinite;
	-o-animation: stretch 2.8s ease 0s infinite;
	animation: stretch 2.8s ease 0s infinite;
}
.sd05 {
	-webkit-animation: stretch 2.8s ease .4s infinite;
	-moz-animation: stretch 2.8s ease .4s infinite;
	-ms-animation: stretch 2.8s ease .4s infinite;
	-o-animation: stretch 2.8s ease .4s infinite;
	animation: stretch 2.8s ease .4s infinite;
}
.sd1 {
	-webkit-animation: stretch 2.8s ease .8s infinite;
	-moz-animation: stretch 2.8s ease .8s infinite;
	-ms-animation: stretch 2.8s ease .8s infinite;
	-o-animation: stretch 2.8s ease .8s infinite;
	animation: stretch 2.8s ease .8s infinite;
}
.sd15 {
	-webkit-animation: stretch 2.8s ease 1.2s infinite;
	-moz-animation: stretch 2.8s ease 1.2s infinite;
	-ms-animation: stretch 2.8s ease 1.2s infinite;
	-o-animation: stretch 2.8s ease 1.2s infinite;
	animation: stretch 2.8s ease 1.2s infinite;
}
@keyframes 'stretch' {
 0% {
    padding: 0 0 0 0;
   	left: 50%;
   	z-index: 4;
 }
 25% {
    z-index: 3;
 }
 50% {
    padding: 0 50% 0 50%;
   	left: 0;
   	z-index: 2;
 }
 100% {
    padding: 0 50% 0 50%;
   	left: 0;
   	z-index: 1;
 }
}
@-moz-keyframes stretch {
 0% {
   padding: 0 0 0 0;
   left: 50%;
   z-index: 4;
 }
 25% {
   z-index: 3;
 }
 50% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 2;
 }
 100% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 1;
 }
}
@-webkit-keyframes "stretch" {
 0% {
   padding: 0 0 0 0;
   left: 50%;
   z-index: 4;
 }
 25% {
   z-index: 3;
 }
 50% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 2;
 }
 100% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 1;
 }
}
@-ms-keyframes "stretch" {
 0% {
   padding: 0 0 0 0;
   left: 50%;
   z-index: 4;
 }
 25% {
   z-index: 3;
 }
 50% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 2;
 }
 100% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 1;
 }
}
@-o-keyframes "stretch" {
 0% {
   padding: 0 0 0 0;
   left: 50%;
   z-index: 4;
 }
 25% {
   z-index: 3;
 }
 50% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 2;
 }
 100% {
   padding: 0 50% 0 50%;
   left: 0;
   z-index: 1;
 }
}

/* -- CHECKBOX -- */
.checkbox {
  padding-left: 20px;
  padding-top:0 !important;
  min-height: 20px !important;
}
.checkbox label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px !important;
  margin-bottom: 0 !important;
  line-height: 18px;
}
.checkbox label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 3px;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}
.checkbox label::after {
  display: inline-block;
  position: absolute;
  width: 16px;
  height: 16px;
  left: 0;
  top: 0;
  margin-left: -20px;
  padding-left: 3px;
  padding-top: 1px;
  font-size: 11px;
  color: #555555;
}
.checkbox input[type="checkbox"],
.checkbox input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.checkbox input[type="checkbox"]:focus + label::before,
.checkbox input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.checkbox input[type="checkbox"]:checked + label::after,
.checkbox input[type="radio"]:checked + label::after {
  font-family: "FontAwesome";
  content: "\f00c";
}
.checkbox input[type="checkbox"]:disabled + label,
.checkbox input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.checkbox input[type="checkbox"]:disabled + label::before,
.checkbox input[type="radio"]:disabled + label::before {
  background-color: #eeeeee;
  cursor: not-allowed;
}
.checkbox.checkbox-circle label::before {
  border-radius: 50%;
}
.checkbox.checkbox-inline {
  margin-top: 0;
}

.checkbox-primary input[type="checkbox"]:checked + label::before,
.checkbox-primary input[type="radio"]:checked + label::before {
  background-color: #337ab7;
  border-color: #337ab7;
}
.checkbox-primary input[type="checkbox"]:checked + label::after,
.checkbox-primary input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-danger input[type="checkbox"]:checked + label::before,
.checkbox-danger input[type="radio"]:checked + label::before {
  background-color: #d9534f;
  border-color: #d9534f;
}
.checkbox-danger input[type="checkbox"]:checked + label::after,
.checkbox-danger input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-info input[type="checkbox"]:checked + label::before,
.checkbox-info input[type="radio"]:checked + label::before {
  background-color: #5bc0de;
  border-color: #5bc0de;
}
.checkbox-info input[type="checkbox"]:checked + label::after,
.checkbox-info input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-warning input[type="checkbox"]:checked + label::before,
.checkbox-warning input[type="radio"]:checked + label::before {
  background-color: #f0ad4e;
  border-color: #f0ad4e;
}
.checkbox-warning input[type="checkbox"]:checked + label::after,
.checkbox-warning input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-success input[type="checkbox"]:checked + label::before,
.checkbox-success input[type="radio"]:checked + label::before {
  background-color: #5cb85c;
  border-color: #5cb85c;
}
.checkbox-success input[type="checkbox"]:checked + label::after,
.checkbox-success input[type="radio"]:checked + label::after {
  color: #fff;
}

.radio {
  padding-left: 20px;
}
.radio label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px;
}
.radio label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 50%;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out;
  transition: border 0.15s ease-in-out;
}
.radio label::after {
  display: inline-block;
  position: absolute;
  content: " ";
  width: 11px;
  height: 11px;
  left: 3px;
  top: 3px;
  margin-left: -20px;
  border-radius: 50%;
  background-color: #555555;
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  -o-transform: scale(0, 0);
  transform: scale(0, 0);
  -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}
.radio input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.radio input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.radio input[type="radio"]:checked + label::after {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  -o-transform: scale(1, 1);
  transform: scale(1, 1);
}
.radio input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.radio input[type="radio"]:disabled + label::before {
  cursor: not-allowed;
}
.radio.radio-inline {
  margin-top: 0;
}

.radio-primary input[type="radio"] + label::after {
  background-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::before {
  border-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::after {
  background-color: #337ab7;
}

.radio-danger input[type="radio"] + label::after {
  background-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::before {
  border-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::after {
  background-color: #d9534f;
}

.radio-info input[type="radio"] + label::after {
  background-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::before {
  border-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::after {
  background-color: #5bc0de;
}

.radio-warning input[type="radio"] + label::after {
  background-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::before {
  border-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::after {
  background-color: #f0ad4e;
}

.radio-success input[type="radio"] + label::after {
  background-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::before {
  border-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::after {
  background-color: #5cb85c;
}

input[type="checkbox"].styled:checked + label:after,
input[type="radio"].styled:checked + label:after {
  font-family: 'FontAwesome';
  content: "\f00c";
}
input[type="checkbox"] .styled:checked + label::before,
input[type="radio"] .styled:checked + label::before {
  color: #fff;
}
input[type="checkbox"] .styled:checked + label::after,
input[type="radio"] .styled:checked + label::after {
  color: #fff;
}
